[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# SysCall

Execute system call.

## Declaration

Source position: oldlinux.pp line 1298

`function SysCall(`
`callnr: LongInt;`
`var regs: SysCallRegs`
`):LongInt;`

## Description

SysCall can be used to execute a direct system call. The call parameters must be encoded in regs and the call number must be specified by callnr. The call result is returned, and any modified registers are in regs

## Errors

None.

## See also

SysCallregs |  | Register describing system calls.

Documentation generated on: Feb 26 2014